Next: RAN, Previous: PRODUCT, Up: Intrinsic Procedures

### 8.197 `RADIX` — Base of a model number

Description:
  `RADIX(X)` returns the base of the model representing the entity X.
Standard:
  Fortran 95 and later
Class:
  Inquiry function
Syntax:
  `RESULT = RADIX(X)`
Arguments:

  X | Shall be of type `INTEGER` or `REAL`

Return value:
  The return value is a scalar of type `INTEGER` and of the default integer kind.
See also:
  SELECTED_REAL_KIND
Example:

                program test_radix
                  print *, "The radix for the default integer kind is", radix(0)
                  print *, "The radix for the default real kind is", radix(0.0)
                end program test_radix